首页 新闻 搜索 专区 学院

请教一下:有没有人用过Graphviz这个lib库吗?如何在Linux编译安装R语言的依赖包Rgraphviz?

0
悬赏园豆:60 [已解决问题] 解决于 2020-12-07 20:32

请问有没有人用Graphviz这个lib库?有没有保留比较旧的版本源码?现在能找到的最低版本是2.38.0,但我可能需要下载Graphviz-2.20.0以下的版本?

另外也请教一下,Rgraphviz是不支持Linux了吗??

dilex的主页 dilex | 初学一级 | 园豆:52
提问于:2020-11-23 09:56
< >
分享
最佳答案
0

https://www.graphviz.org/download/source/ 这里是源代码
http://gitlab.com/graphviz/graphviz/
http://gitlab.com/graphviz/webdot/
看了下最小的是2.38版本

https://pkgs.org/search/?q=Graphviz 这里可以找到 centos6最老的版本2.26.0
既然是大版本2的,这些小差别应该问题不大

http://bioconductor.org/packages/devel/bioc/html/Rgraphviz.html Rgraphviz这个是支持linux的,source code这里,毕竟是script内容,代码就够了

收获园豆:60
2012 | 高人七级 |园豆:21007 | 2020-11-25 08:09

问题已经解决了, 因为现在Rgraphviz这个R语言依赖包是基于graphviz2.28开发的, graphviz能找到的版本, 都做了很大的修改, 把graph替换成了cgraph, 这些接口已经变动太大了. 而graphviz2.28的源码已经找不到了

不过还好就是Rgraphviz里有一个份graphviz2.28, 之前是一个在Linux上没办法编译过去. 今天终于解决了, 是configure时因为少了一个文件复制为COPYING的时候失败了.

谢谢支持

dilex | 园豆:52 (初学一级) | 2020-12-07 20:32
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册